#include "socketio.hpp"
#include <iostream>
template<typename T>
std::ostream& operator<<(std::ostream& out, std::vector<T> o){
	out << "[";
	for(unsigned int i = 0;i < o.size();i++){
		out << o[i];
		if(i < o.size() - 1)
			out << ", ";
	}
	return out << "]";
}
template<>
std::ostream& operator<< <char>(std::ostream& out, std::vector<char> o){
	for(int i = 0;i < o.size();i++){
		out << o[i];
	}
	return out;
}
int main(){
	cppsocket sock("127.0.0.1", 80);
	std::vector<char> toSend(1000000);
	for(unsigned int i = 0;i < toSend.size();i++){
		toSend[i] = (char)i;
	}
	sock.write(toSend);
	std::vector<char> vec = sock.receive();
	std::cout << (unsigned int)vec[18] << std::endl;
	//vec = sock.receive();
	//std::cout << vec << std::endl;
	return 0;
}
